org.keycloak.authorization.store

## Interface ResourceServerStore

- All Known Implementing Classes:
    CachedResourceServerStore, JPAResourceServerStore, MongoResourceServerStore

      public interface ResourceServerStore

  A `ResourceServerStore` is responsible to manage the persistence of `ResourceServer` instances.
  Author:
    Pedro Igor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceServer` | `create(String clientId)` Creates a `ResourceServer` instance backed by this persistent storage implementation.
    `void` | `delete(String id)` Removes a `ResourceServer` instance, with the given `id` from the persistent storage.
    `ResourceServer` | `findByClient(String id)` Returns a `ResourceServer` instance based on the identifier of a client application.
    `ResourceServer` | `findById(String id)` Returns a `ResourceServer` instance based on its identifier.

- - ### Method Detail

    - #### create

          ResourceServer create(String clientId)

      Creates a `ResourceServer` instance backed by this persistent storage implementation.

      Parameters:
        `clientId` - the client id acting as a resource server
      Returns:
        an instance backed by the underlying storage implementation

    - #### delete

          void delete(String id)

      Removes a `ResourceServer` instance, with the given `id` from the persistent storage.
      Parameters:
        `id` - the identifier of an existing resource server instance

    - #### findById

          ResourceServer findById(String id)

      Returns a `ResourceServer` instance based on its identifier.
      Parameters:
        `id` - the identifier of an existing resource server instance
      Returns:
        the resource server instance with the given identifier or null if no instance was found

    - #### findByClient

          ResourceServer findByClient(String id)

      Returns a `ResourceServer` instance based on the identifier of a client application.
      Parameters:
        `id` - the identifier of an existing client application
      Returns:
        the resource server instance, with the given client id or null if no instance was found

Copyright © 2016 JBoss by Red Hat. All rights reserved.